/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __FREE_TIMER_SKEL_H__
#define __FREE_TIMER_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct free_timer {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *map;
	} maps;
	struct {
		struct bpf_program *start_timer;
		struct bpf_program *overwrite_timer;
	} progs;
	struct {
		struct bpf_link *start_timer;
		struct bpf_link *overwrite_timer;
	} links;

#ifdef __cplusplus
	static inline struct free_timer *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct free_timer *open_and_load();
	static inline int load(struct free_timer *skel);
	static inline int attach(struct free_timer *skel);
	static inline void detach(struct free_timer *skel);
	static inline void destroy(struct free_timer *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
free_timer__destroy(struct free_timer *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
free_timer__create_skeleton(struct free_timer *obj);

static inline struct free_timer *
free_timer__open_opts(const struct bpf_object_open_opts *opts)
{
	struct free_timer *obj;
	int err;

	obj = (struct free_timer *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = free_timer__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	free_timer__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct free_timer *
free_timer__open(void)
{
	return free_timer__open_opts(NULL);
}

static inline int
free_timer__load(struct free_timer *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct free_timer *
free_timer__open_and_load(void)
{
	struct free_timer *obj;
	int err;

	obj = free_timer__open();
	if (!obj)
		return NULL;
	err = free_timer__load(obj);
	if (err) {
		free_timer__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
free_timer__attach(struct free_timer *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
free_timer__detach(struct free_timer *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *free_timer__elf_bytes(size_t *sz);

static inline int
free_timer__create_skeleton(struct free_timer *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "free_timer";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "map";
	map->map = &obj->maps.map;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "start_timer";
	s->progs[0].prog = &obj->progs.start_timer;
	s->progs[0].link = &obj->links.start_timer;

	s->progs[1].name = "overwrite_timer";
	s->progs[1].prog = &obj->progs.overwrite_timer;
	s->progs[1].link = &obj->links.overwrite_timer;

	s->data = free_timer__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *free_timer__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb0\x0e\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x73\x79\x73\x63\x61\x6c\x6c\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x6d\x61\x70\x73\0\x66\x72\x65\x65\x5f\x74\x69\x6d\x65\x72\x2e\x63\0\x73\x74\
\x61\x72\x74\x5f\x63\x62\0\x6f\x76\x65\x72\x77\x72\x69\x74\x65\x5f\x63\x62\0\
\x74\x69\x6d\x65\x72\x5f\x63\x62\0\x73\x74\x61\x72\x74\x5f\x74\x69\x6d\x65\x72\
\0\x6f\x76\x65\x72\x77\x72\x69\x74\x65\x5f\x74\x69\x6d\x65\x72\0\x6d\x61\x70\0\
\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x6e\x75\x6d\x5f\x6e\x65\x77\0\x62\x70\x66\
\x5f\x69\x74\x65\x72\x5f\x6e\x75\x6d\x5f\x6e\x65\x78\x74\0\x62\x70\x66\x5f\x69\
\x74\x65\x72\x5f\x6e\x75\x6d\x5f\x64\x65\x73\x74\x72\x6f\x79\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x73\
\x79\x73\x63\x61\x6c\x6c\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2d\0\0\0\x04\0\xf1\xff\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3a\0\0\0\x02\0\x03\0\
\0\0\0\0\0\0\0\0\xb8\0\0\0\0\0\0\0\x43\0\0\0\x02\0\x03\0\x80\x01\0\0\0\0\0\0\
\x68\0\0\0\0\0\0\0\x50\0\0\0\x02\0\x03\0\xb8\0\0\0\0\0\0\0\xc8\0\0\0\0\0\0\0\
\x59\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x65\0\0\0\x12\0\x04\0\
\x40\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x75\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x20\
\0\0\0\0\0\0\0\x79\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8a\0\0\0\
\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9c\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xb1\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x63\
\x1a\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\x06\0\0\0\0\0\0\x15\x06\x0d\
\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\
\x01\0\0\0\x85\0\0\0\xa9\0\0\0\xbf\x61\0\0\0\0\0\0\x18\x02\0\0\xb8\0\0\0\0\0\0\
\0\0\0\0\0\x85\0\0\0\xaa\0\0\0\xbf\x61\0\0\0\0\0\0\xb7\x02\0\0\xa0\x86\x01\0\
\xb7\x03\0\0\x02\0\0\0\x85\0\0\0\xab\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x62\x0a\xfc\xff\0\0\0\0\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\xf0\xff\xff\xff\xbf\
\x61\0\0\0\0\0\0\xb4\x02\0\0\0\0\0\0\xb4\x03\0\0\0\0\x10\0\x85\x10\0\0\xff\xff\
\xff\xff\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x15\0\x02\0\0\0\0\0\
\x61\x01\0\0\0\0\0\0\xa6\x01\x05\0\0\0\x10\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\
\xf0\xff\xff\xff\x85\x10\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\x61\xa2\xfc\xff\0\0\0\0\x0c\x12\0\0\0\0\0\0\x63\x2a\xfc\xff\0\0\0\0\xbf\xa1\
\0\0\0\0\0\0\x07\x01\0\0\xf0\xff\xff\xff\x85\x10\0\0\xff\xff\xff\xff\x15\0\xf4\
\xff\0\0\0\0\x05\0\xf1\xff\0\0\0\0\x63\x1a\xfc\xff\0\0\0\0\x7a\x0a\xf0\xff\0\0\
\0\0\x7a\x0a\xe8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\
\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xe8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x02\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\xb4\x01\0\0\x08\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\0\
\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xb5\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\xb4\x01\0\0\x08\0\0\0\x18\x02\0\0\x80\x01\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\
\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xb5\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x48\0\0\0\0\0\0\0\x01\0\0\0\
\x09\0\0\0\x70\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\xe8\0\0\0\0\0\0\0\x0a\0\0\0\
\x0a\0\0\0\xf8\0\0\0\0\0\0\0\x0a\0\0\0\x0b\0\0\0\x28\x01\0\0\0\0\0\0\x0a\0\0\0\
\x0c\0\0\0\x68\x01\0\0\0\0\0\0\x0a\0\0\0\x0b\0\0\0\xb8\x01\0\0\0\0\0\0\x01\0\0\
\0\x09\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x48\0\0\0\0\0\0\0\x01\0\0\0\
\x02\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x14\x03\0\0\x14\x03\0\0\x04\x04\0\0\
\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\
\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\
\x20\0\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\0\0\0\0\0\0\0\x02\x07\0\0\0\x19\0\0\0\
\x01\0\0\x04\x10\0\0\0\x23\0\0\0\x08\0\0\0\0\0\0\0\x29\0\0\0\x01\0\0\x04\x10\0\
\0\0\x33\0\0\0\x0b\0\0\0\0\0\0\0\x3c\0\0\0\0\0\0\x08\x0a\0\0\0\x42\0\0\0\0\0\0\
\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x09\0\0\0\x04\0\0\0\x02\0\0\
\0\0\0\0\0\0\0\0\x02\x0d\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x08\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x55\0\0\0\x01\0\0\0\0\0\0\0\x5a\0\0\0\
\x05\0\0\0\x40\0\0\0\x5e\0\0\0\x06\0\0\0\x80\0\0\0\x64\0\0\0\x0c\0\0\0\xc0\0\0\
\0\x70\0\0\0\0\0\0\x0e\x0e\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0a\0\0\0\0\0\0\0\
\x01\0\0\x0d\x02\0\0\0\x74\0\0\0\x10\0\0\0\x78\0\0\0\x01\0\0\x0c\x11\0\0\0\x84\
\0\0\0\x01\0\0\x0c\x11\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x5a\0\0\0\x02\0\0\0\
\x94\0\0\0\0\0\0\x0c\x14\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x03\0\0\x0d\
\x02\0\0\0\x70\0\0\0\x16\0\0\0\x5a\0\0\0\x16\0\0\0\x5e\0\0\0\x06\0\0\0\x9d\0\0\
\0\0\0\0\x0c\x17\0\0\0\0\0\0\0\x03\0\0\x0d\x02\0\0\0\0\0\0\0\x1a\0\0\0\0\0\0\0\
\x02\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\x02\x1b\0\0\0\xa6\0\0\0\x01\0\0\x04\
\x08\0\0\0\x33\0\0\0\x1c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x09\0\0\0\x04\
\0\0\0\x01\0\0\0\xb3\0\0\0\x02\0\0\x0c\x19\0\0\0\0\0\0\0\x01\0\0\x0d\x05\0\0\0\
\0\0\0\0\x1a\0\0\0\xc4\0\0\0\x02\0\0\x0c\x1e\0\0\0\0\0\0\0\x01\0\0\x0d\0\0\0\0\
\0\0\0\0\x1a\0\0\0\xd6\0\0\0\x02\0\0\x0c\x20\0\0\0\xeb\0\0\0\0\0\0\x0c\x14\0\0\
\0\xf8\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x23\0\0\
\0\x04\0\0\0\x04\0\0\0\xfd\0\0\0\0\0\0\x0e\x24\0\0\0\x01\0\0\0\xe1\x03\0\0\x01\
\0\0\x0f\x04\0\0\0\x25\0\0\0\0\0\0\0\x04\0\0\0\xe9\x03\0\0\x01\0\0\x0f\x20\0\0\
\0\x0f\0\0\0\0\0\0\0\x20\0\0\0\xef\x03\0\0\x03\0\0\x0f\0\0\0\0\x1d\0\0\0\0\0\0\
\0\0\0\0\0\x1f\0\0\0\0\0\0\0\0\0\0\0\x21\0\0\0\0\0\0\0\0\0\0\0\0\x69\x6e\x74\0\
\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\
\x6d\x61\x70\x5f\x76\x61\x6c\x75\x65\0\x74\x69\x6d\x65\x72\0\x62\x70\x66\x5f\
\x74\x69\x6d\x65\x72\0\x5f\x5f\x6f\x70\x61\x71\x75\x65\0\x5f\x5f\x75\x36\x34\0\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x74\
\x79\x70\x65\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\
\x72\x69\x65\x73\0\x6d\x61\x70\0\x63\x74\x78\0\x73\x74\x61\x72\x74\x5f\x74\x69\
\x6d\x65\x72\0\x6f\x76\x65\x72\x77\x72\x69\x74\x65\x5f\x74\x69\x6d\x65\x72\0\
\x73\x74\x61\x72\x74\x5f\x63\x62\0\x74\x69\x6d\x65\x72\x5f\x63\x62\0\x62\x70\
\x66\x5f\x69\x74\x65\x72\x5f\x6e\x75\x6d\0\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\
\x6e\x75\x6d\x5f\x6e\x65\x77\0\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x6e\x75\x6d\
\x5f\x6e\x65\x78\x74\0\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x6e\x75\x6d\x5f\x64\
\x65\x73\x74\x72\x6f\x79\0\x6f\x76\x65\x72\x77\x72\x69\x74\x65\x5f\x63\x62\0\
\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\
\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\
\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x39\x38\x2e\x35\x34\x37\x2e\
\x65\x6c\x39\x69\x76\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\
\x35\x39\x38\x2e\x35\x34\x37\x2e\x65\x6c\x39\x69\x76\x2e\x61\x61\x72\x63\x68\
\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\
\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x66\
\x72\x65\x65\x5f\x74\x69\x6d\x65\x72\x2e\x63\0\x73\x74\x61\x74\x69\x63\x20\x69\
\x6e\x74\x20\x73\x74\x61\x72\x74\x5f\x63\x62\x28\x69\x6e\x74\x20\x6b\x65\x79\
\x29\0\x09\x76\x61\x6c\x75\x65\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\
\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x6d\x61\x70\x2c\x20\x28\x76\
\x6f\x69\x64\x20\x2a\x29\x26\x6b\x65\x79\x29\x3b\0\x09\x69\x66\x20\x28\x21\x76\
\x61\x6c\x75\x65\x29\0\x09\x62\x70\x66\x5f\x74\x69\x6d\x65\x72\x5f\x69\x6e\x69\
\x74\x28\x26\x76\x61\x6c\x75\x65\x2d\x3e\x74\x69\x6d\x65\x72\x2c\x20\x26\x6d\
\x61\x70\x2c\x20\x43\x4c\x4f\x43\x4b\x5f\x4d\x4f\x4e\x4f\x54\x4f\x4e\x49\x43\
\x29\x3b\0\x09\x62\x70\x66\x5f\x74\x69\x6d\x65\x72\x5f\x73\x65\x74\x5f\x63\x61\
\x6c\x6c\x62\x61\x63\x6b\x28\x26\x76\x61\x6c\x75\x65\x2d\x3e\x74\x69\x6d\x65\
\x72\x2c\x20\x74\x69\x6d\x65\x72\x5f\x63\x62\x29\x3b\0\x09\x62\x70\x66\x5f\x74\
\x69\x6d\x65\x72\x5f\x73\x74\x61\x72\x74\x28\x26\x76\x61\x6c\x75\x65\x2d\x3e\
\x74\x69\x6d\x65\x72\x2c\x20\x31\x30\x30\x30\x30\x30\x2c\x20\x42\x50\x46\x5f\
\x46\x5f\x54\x49\x4d\x45\x52\x5f\x43\x50\x55\x5f\x50\x49\x4e\x29\x3b\0\x7d\0\
\x09\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x69\x6e\x74\x20\x73\x75\x6d\x20\x3d\
\x20\x30\x3b\0\x09\x62\x70\x66\x5f\x66\x6f\x72\x28\x69\x2c\x20\x30\x2c\x20\x31\
\x30\x32\x34\x20\x2a\x20\x31\x30\x32\x34\x29\x20\x73\x75\x6d\x20\x2b\x3d\x20\
\x69\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x73\x74\x61\x74\x69\x63\
\x20\x69\x6e\x74\x20\x6f\x76\x65\x72\x77\x72\x69\x74\x65\x5f\x63\x62\x28\x69\
\x6e\x74\x20\x6b\x65\x79\x29\0\x09\x73\x74\x72\x75\x63\x74\x20\x6d\x61\x70\x5f\
\x76\x61\x6c\x75\x65\x20\x7a\x65\x72\x6f\x20\x3d\x20\x7b\x7d\x3b\0\x09\x62\x70\
\x66\x5f\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\x65\x5f\x65\x6c\x65\x6d\x28\x26\
\x6d\x61\x70\x2c\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x26\x6b\x65\x79\x2c\x20\
\x26\x7a\x65\x72\x6f\x2c\x20\x42\x50\x46\x5f\x41\x4e\x59\x29\x3b\0\x09\x62\x70\
\x66\x5f\x6c\x6f\x6f\x70\x28\x4d\x41\x58\x5f\x45\x4e\x54\x52\x49\x45\x53\x2c\
\x20\x73\x74\x61\x72\x74\x5f\x63\x62\x2c\x20\x4e\x55\x4c\x4c\x2c\x20\x30\x29\
\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x73\x74\x61\x72\x74\
\x5f\x74\x69\x6d\x65\x72\x29\0\x09\x62\x70\x66\x5f\x6c\x6f\x6f\x70\x28\x4d\x41\
\x58\x5f\x45\x4e\x54\x52\x49\x45\x53\x2c\x20\x6f\x76\x65\x72\x77\x72\x69\x74\
\x65\x5f\x63\x62\x2c\x20\x4e\x55\x4c\x4c\x2c\x20\x30\x29\x3b\0\x69\x6e\x74\x20\
\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x6f\x76\x65\x72\x77\x72\x69\x74\x65\x5f\
\x74\x69\x6d\x65\x72\x29\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\
\x2e\x6b\x73\x79\x6d\x73\0\x2e\x74\x65\x78\x74\0\x73\x79\x73\x63\x61\x6c\x6c\0\
\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x3c\0\0\0\x3c\0\0\0\x84\x01\0\0\xc0\x01\0\0\0\
\0\0\0\x08\0\0\0\xf6\x03\0\0\x03\0\0\0\0\0\0\0\x15\0\0\0\xb8\0\0\0\x18\0\0\0\
\x80\x01\0\0\x22\0\0\0\xfc\x03\0\0\x02\0\0\0\0\0\0\0\x12\0\0\0\x40\0\0\0\x13\0\
\0\0\x10\0\0\0\xf6\x03\0\0\x13\0\0\0\0\0\0\0\x06\x01\0\0\x8a\x01\0\0\0\x7c\0\0\
\x18\0\0\0\x06\x01\0\0\xa7\x01\0\0\x0a\x8c\0\0\x38\0\0\0\x06\x01\0\0\xd9\x01\0\
\0\x06\x90\0\0\x40\0\0\0\x06\x01\0\0\xe6\x01\0\0\x02\x9c\0\0\x68\0\0\0\x06\x01\
\0\0\x1d\x02\0\0\x02\xa0\0\0\x88\0\0\0\x06\x01\0\0\x4f\x02\0\0\x02\xa8\0\0\xa8\
\0\0\0\x06\x01\0\0\x8d\x02\0\0\x01\xb4\0\0\xb8\0\0\0\x06\x01\0\0\x8f\x02\0\0\
\x0f\x5c\0\0\xd0\0\0\0\x06\x01\0\0\xa6\x02\0\0\x02\x68\0\0\xf0\0\0\0\x06\x01\0\
\0\xa6\x02\0\0\x02\x68\0\0\x10\x01\0\0\x06\x01\0\0\xa6\x02\0\0\x02\x68\0\0\x28\
\x01\0\0\x06\x01\0\0\xa6\x02\0\0\x02\x68\0\0\x30\x01\0\0\x06\x01\0\0\xcc\x02\0\
\0\x02\x70\0\0\x40\x01\0\0\x06\x01\0\0\xa6\x02\0\0\x21\x68\0\0\x68\x01\0\0\x06\
\x01\0\0\xa6\x02\0\0\x02\x68\0\0\x80\x01\0\0\x06\x01\0\0\xd7\x02\0\0\0\xbc\0\0\
\x88\x01\0\0\x06\x01\0\0\xf8\x02\0\0\x13\xc4\0\0\xb8\x01\0\0\x06\x01\0\0\x15\
\x03\0\0\x02\xd0\0\0\xd8\x01\0\0\x06\x01\0\0\xcc\x02\0\0\x02\xd8\0\0\xfc\x03\0\
\0\x04\0\0\0\0\0\0\0\x06\x01\0\0\x4f\x03\0\0\x02\xf0\0\0\x30\0\0\0\x06\x01\0\0\
\x7a\x03\0\0\x05\xe8\0\0\x40\0\0\0\x06\x01\0\0\x94\x03\0\0\x02\x0c\x01\0\x70\0\
\0\0\x06\x01\0\0\xc3\x03\0\0\x05\x04\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\
\0\0\0\0\xde\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x01\0\0\0\0\0\0\x50\
\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\
\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x02\0\0\0\0\0\0\xe8\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x04\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1f\0\0\0\x01\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xd8\x04\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xe0\x04\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xba\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\
\0\0\0\0\0\x80\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\xc4\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x05\0\0\0\0\0\
\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\xd0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x05\0\0\0\0\0\0\x30\
\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd5\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x0c\0\0\0\0\0\0\xe0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct free_timer *free_timer::open(const struct bpf_object_open_opts *opts) { return free_timer__open_opts(opts); }
struct free_timer *free_timer::open_and_load() { return free_timer__open_and_load(); }
int free_timer::load(struct free_timer *skel) { return free_timer__load(skel); }
int free_timer::attach(struct free_timer *skel) { return free_timer__attach(skel); }
void free_timer::detach(struct free_timer *skel) { free_timer__detach(skel); }
void free_timer::destroy(struct free_timer *skel) { free_timer__destroy(skel); }
const void *free_timer::elf_bytes(size_t *sz) { return free_timer__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
free_timer__assert(struct free_timer *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __FREE_TIMER_SKEL_H__ */
